> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rallyuxr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import activities

> Imports activities into your workspace. If you'd like access to this route, please reach out to your Customer Success rep.



## OpenAPI

````yaml https://api.rallyuxr.com/api/openapi post /activities/import
openapi: 3.1.0
info:
  title: Rally UXR Developer Docs
  version: '1.0'
servers:
  - url: https://api.rallyuxr.com/api/public/v1
security:
  - bearerAuth: []
tags:
  - name: Forms
    description: Operations on Forms in your workspace
  - name: People
    description: Operations on Person's stored in your workspace
  - name: Person Properties
    description: Operations on workspace level Person Properties
  - name: Populations
    description: Operations on Populations in your workspace
  - name: Segments
    description: Operations on Segments in your workspace
  - name: Studies
    description: Operations on Studies in your workspace
  - name: Participants
    description: Operations on Participants in studies
  - name: Screener
    description: Operations on a study's screener
  - name: Consent Submissions
    description: Operations on Consent Submissions for studies
  - name: Incentives
    description: Operations on Incentives in your workspace
  - name: Messages
    description: Operations on Message activities in your workspace
  - name: Imports
    description: Operations on Imports in your workspace
  - name: Users
    description: Operations on Workspace Users
  - name: Teams
    description: Operations on Teams in your workspace
  - name: Backfills
    description: >-
      Routes that can be used to backfill data into Rally. If you'd like access
      to these apis, please reach out to your Customer Success rep
  - name: Person
    description: Deprecated, use People
paths:
  /activities/import:
    post:
      tags:
        - Backfills
      summary: Import activities
      description: >-
        Imports activities into your workspace. If you'd like access to this
        route, please reach out to your Customer Success rep.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                peopleActivities:
                  type: array
                  items:
                    type: object
                    properties:
                      personId:
                        type: string
                        description: The ID of the person
                      activities:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - SCREENER_COMPLETED
                                - INTERVIEW_SCHEDULED
                                - INTERVIEW_RESCHEDULED
                                - INTERVIEW_UPDATED
                                - INTERVIEW_CANCELED
                                - NO_SHOW_INTERVIEW
                                - INTERVIEW_COMPLETED
                                - UNMODERATED_TEST_COMPLETED
                                - SURVEY_COMPLETED
                                - FOCUS_GROUP_COMPLETED
                                - AD_HOC_CONTACT_MADE
                                - DOCUMENT_SIGNED
                                - OPTED_OUT
                                - SCHEDULE_EMAIL_SENT
                                - SCREENER_EMAIL_SENT
                                - UNMODERATED_TEST_EMAIL_SENT
                              description: |-
                                The type of activity

                                  Study Invites:
                                  These tie into the “Interview Invites Over Time” reporting metric
                                  * SCHEDULE_EMAIL_SENT
                                  * SCREENER_EMAIL_SENT
                                  * UNMODERATED_TEST_EMAIL_SENT

                                  Participant Activities: 
                                  * SCREENER_COMPLETED
                                  * INTERVIEW_SCHEDULED
                                  * INTERVIEW_RESCHEDULED
                                  * INTERVIEW_UPDATED
                                  * INTERVIEW_CANCELED
                                  * NO_SHOW_INTERVIEW
                                  * INTERVIEW_COMPLETED
                                  * UNMODERATED_TEST_COMPLETED
                                  * SURVEY_COMPLETED
                                  * FOCUS_GROUP_COMPLETED

                                  General Person Activities:
                                  * AD_HOC_CONTACT_MADE
                                  * DOCUMENT_SIGNED
                                  * OPTED_OUT
                                  
                            activityAt:
                              type: string
                              format: date-time
                              description: The time the activity occurred
                            participantId:
                              type: string
                              description: >-
                                The ID of the participant. If a participant
                                exists and has a study associated with it then
                                this will impact study metrics
                          required:
                            - type
                            - activityAt
                        description: An array of activities for the person
                    required:
                      - personId
                      - activities
                  description: >-
                    An array of person IDs with an array of activities. Max 1000
                    activities across all people
              required:
                - peopleActivities
      responses:
        '202':
          description: Incentive search response
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  peopleCount:
                    type: number
                    description: >-
                      The number of people that activities are being imported
                      for
                  activitiesCount:
                    type: number
                    description: The total number of activities being imported
                  importId:
                    type: string
                    description: >-
                      A unique identifier for the import, can be used to look up
                      status and will be included in the webhook
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                        path:
                          type: array
                          items:
                            anyOf:
                              - type: string
                              - type: number
                      required:
                        - message
                        - path
                    description: >-
                      Partial errors that occurred during the import. This
                      follows the same error schema as a 400 error but this list
                      are the only ones that were not imported, the rest were
                required:
                  - message
                  - peopleCount
                  - activitiesCount
                  - importId
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '401':
          description: Unauthorized
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Unauthorized
        '403':
          description: Forbidden
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Forbidden
        '429':
          description: Too Many Requests
          headers:
            Retry-After:
              $ref: '#/components/headers/Retry-After'
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Too Many Requests
        '500':
          description: Internal Server Error
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Internal Server Error
      security:
        - bearerAuth: []
components:
  headers:
    X-RateLimit-Limit:
      description: The maximum number of requests the client is allowed to make.
      schema:
        type: integer
        format: int32
    X-RateLimit-Remaining:
      description: >-
        The number of requests remaining for the client in the current time
        window.
      schema:
        type: integer
        format: int32
    X-RateLimit-Reset:
      description: >-
        The time at which the current time window ends (in Unix timestamp
        format).
      schema:
        type: integer
        format: int32
    Retry-After:
      description: The number of seconds until the client should retry the request.
      schema:
        type: integer
        format: int32
  schemas:
    BadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
      required:
        - errors
      description: Error response for a bad request with details on what was invalid
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````